%define theme junior
%define Theme Junior
%define major 3
%define minor 5
%define bugfix 8

Name: kde-settings-%theme 
Version: %major.%minor.%bugfix
Release: alt9

Group: Graphical desktop/KDE
Summary: %Theme - specific KDE settings
License: GPL
Url: http://www.altlinux.ru/

PreReq(post,preun): alternatives >= 0.2
Requires: kde-common >= %major.%minor

BuildArch: noarch
Source: %name-%version.tar.gz
BuildRequires: kde-common-devel >= 0.3.1 qmergeinifiles

%description
%Theme - specific KDE settings

%package light
Group: Graphical desktop/KDE
Summary: %Theme-light - specific KDE settings
%description light
%Theme-light - specific KDE settings


%prep
%setup -q

%build

%install
mkdir -p %buildroot/%_altdir
cat >%buildroot/%_altdir/%name <<__EOF__
%_kdeconfdir/distribution	%_kdeconfdir/settings-%theme 50
__EOF__

mkdir -p %buildroot/%_altdir
cat >%buildroot/%_altdir/%name-light <<__EOF__
%_kdeconfdir/distribution	%_kdeconfdir/settings-%theme-light 50
__EOF__

#
mkdir -p %buildroot/%_kdeconfdir/settings-%theme/share/config/
install -m 0644 config/* %buildroot/%_kdeconfdir/settings-%theme/share/config

mkdir -p %buildroot/%_kdeconfdir/settings-%theme-light/share/config/
cp -ar %buildroot/%_kdeconfdir/settings-%theme/share/config/* %buildroot/%_kdeconfdir/settings-%theme-light/share/config/

#
mkdir -p %buildroot/%_kdeconfdir/settings-%theme/share/apps/kdisplay/color-schemes/
install -m 0644 *.kcsrc %buildroot/%_kdeconfdir/settings-%theme/share/apps/kdisplay/color-schemes/

mkdir -p %buildroot/%_kdeconfdir/settings-%theme-light/share/apps/kdisplay/color-schemes/
cp -ar %buildroot/%_kdeconfdir/settings-%theme/share/apps/kdisplay/color-schemes/* %buildroot/%_kdeconfdir/settings-%theme-light/share/apps/kdisplay/color-schemes/

#
mkdir -p %buildroot/%_kdeconfdir/xdg/menus/applications-merged/
install -m 0644 %theme.menu %buildroot/%_kdeconfdir/xdg/menus/applications-merged/

mkdir -p %buildroot/%_kdeconfdir/xdg/menus/applications-merged/
install -m 0644 %theme.menu %buildroot/%_kdeconfdir/xdg/menus/applications-merged/%theme-light.menu

#
mkdir -p %buildroot/%_kdeconfdir/settings-%theme/share/apps/kicker
install -m 0644 default-apps %buildroot/%_kdeconfdir/settings-%theme/share/apps/kicker/default-apps

mkdir -p %buildroot/%_kdeconfdir/settings-%theme-light/share/apps/kicker
install -m 0644 default-apps %buildroot/%_kdeconfdir/settings-%theme-light/share/apps/kicker/default-apps

# light configs
pushd config-lite
ls -1 | \
while read f; do
    qmergeinifiles %buildroot/%_kdeconfdir/settings-%theme-light/share/config/$f $f
done
popd

%post
%post_register_alternatives %name -- %name
%update_alternatives
%preun
%preun_unregister_alternatives %name

%post light
%post_register_alternatives %name-light -- %name-light
%update_alternatives
%preun light
%preun_unregister_alternatives %name-light


%files
%config %_altdir/%name
%_kdeconfdir/settings-%theme/
%_kdeconfdir/xdg/menus/applications-merged/%theme.menu

%files light
%config %_altdir/%name-light
%_kdeconfdir/settings-%theme-light/
%_kdeconfdir/xdg/menus/applications-merged/%theme-light.menu

%changelog
* Wed Feb 06 2008 Sergey V Turchin <zerg at altlinux dot org> 3.5.8-alt9
- don't autostart korgac in lite by default

* Wed Feb 06 2008 Sergey V Turchin <zerg at altlinux dot org> 3.5.8-alt8
- fix for new acc desktop-file name

* Tue Jan 22 2008 Sergey V Turchin <zerg at altlinux dot org> 3.5.8-alt7
- add some mathematics to upper sections in menu

* Thu Dec 13 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.8-alt6
- menu: only KDevelop Multilanguage in Edutainment/Development

* Wed Dec 12 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.8-alt5
- menu: move all KDevelop to Edutainment/Development
- menu: add klamav to Utilites

* Wed Dec 12 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.8-alt4
- update color scheme

* Tue Dec 11 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.8-alt3
- move KTurtle to Edutainment/Development
- Web window decorations for Lite by default

* Mon Dec 03 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.8-alt2
- change kicker default apps

* Mon Nov 26 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.8-alt1
- plastik style window decorations by default
- bump version

* Tue Nov 13 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.7-alt16
- confirm uninvited connections in krfb by default

* Mon Nov 12 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.7-alt15
- fix to register alternatives for -light

* Fri Nov 09 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.7-alt14
- set double mouse click by default

* Fri Nov 09 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.7-alt13
- add "lite" subpackage

* Tue Oct 16 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.7-alt12
- update junior.menu

* Thu Sep 27 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.7-alt11
- add junior.menu

* Tue Sep 18 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.7-alt10
- turn off kmenu side picture
- set splash theme to Default
- lock kicker controls

* Mon Sep 17 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.7-alt9
- fix color scheme

* Fri Sep 14 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.7-alt8
- update color sheme

* Thu Aug 30 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.7-alt7
- fix krfb settings

* Wed Aug 29 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.7-alt6
- add krfb settings

* Wed Aug 29 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.7-alt5
- update desktop background color, icons theme and windows decoration settings

* Fri Aug 24 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.7-alt4
- fix desktop background color

* Fri Aug 24 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.7-alt3
- fix desktop text color

* Fri Aug 24 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.7-alt2
- set background image for konqueror file manager

* Fri Aug 24 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.7-alt1
- add settings for Junior

* Thu Aug 09 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.1-alt5
- Changed konquerror background 

* Tue Jul 24 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.1-alt4
- Added BrowserApplication key 

* Thu Jul 05 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.1-alt3
- color scheme really added 

* Wed Jun 27 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.1-alt2
- color scheme added 

* Wed Jun 20 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.1-alt1
- first build 




